Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class SingleSwapStatistics

[frames] | no frames]

# Class SingleSwapStatistics

source code

    object --+
             |
            SingleSwapStatistics

Tracks swap statistics of a single sampler pair.

Instance Methods

__init__(self, param_info) x.__init__(...) initializes x; see help(type(x)) for signature | source code

update(self, accepted) Updates swap statistics. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| acceptance_rate Acceptance rate of the sampler pair.
| accepted_swaps
| total_swaps
Inherited from `object`: `__class__`

Method Details

### __init__(self, param_info)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `param_info` (AbstractSwapParameterInfo) - ParameterInfo instance holding swap parameters
Overrides: object.__init__
  (inherited documentation)

Property Details

### acceptance_rate

Acceptance rate of the sampler pair.

Get Method:
  unreachable.acceptance_rate(self) - Acceptance rate of the sampler pair.

### accepted_swaps

Get Method:
  unreachable.accepted_swaps(self)

### total_swaps

Get Method:
  unreachable.total_swaps(self)